﻿@model ListKong.Models.CompanyModel

@{
    ViewData["Title"] = "Index";
}

<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="">
        
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i><span class="icon-after-span">Home</span> </a></li>
            <li class="active">Manage Company</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="box-title">Company Detail</h4>
                        @*<div class="box-tools">
                            <div class="input-group input-group-sm" style="width: 150px;text-align:right;">
                                <a asp-controller="Company" asp-action="AddCompany"><i class="fa fa-plus-circle"></i><span class="icon-after-span">Add New</span></a>
                            </div>
                        </div>*@
                    </div>
                    <!-- /.box-header -->
                    <div class="panel-body table-responsive">
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["ErrorMessage"])))
                        {
                            <div class="alert alert-danger">  @TempData["ErrorMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        @if (!string.IsNullOrEmpty(Convert.ToString(TempData["SuccessMessage"])))
                        {
                            <div class="alert alert-success">  @TempData["SuccessMessage"]</div>
                            <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                            </script>
                        }
                        <form asp-action="Edit" enctype="multipart/form-data" method="post">
                            <div class="panel-body table-responsive">
                                <div class="col-md-6">
                                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                                    <input asp-for="CompanyId" type="hidden" class="form-control" />

                                    <div class="form-group">
                                        <label asp-for="CompanyName" class="control-label"></label>
                                        <input asp-for="CompanyName" class="form-control" required />
                                        <span asp-validation-for="CompanyName" class="text-danger"></span>
                                    </div>
                                    <div class="form-group">
                                        <label asp-for="ContactName" class="control-label"></label>
                                        <input asp-for="ContactName" class="form-control" required />
                                        <span asp-validation-for="ContactName" class="text-danger"></span>
                                    </div>
                                    <div class="form-group">
                                        <label asp-for="Address" class="control-label"></label>
                                        <input asp-for="Address" class="form-control" required />
                                        <span asp-validation-for="Address" class="text-danger"></span>
                                    </div>
                                    <div class="form-group">
                                        <label asp-for="Email" class="control-label"></label>
                                        <input asp-for="Email" class="form-control" required />
                                        <span asp-validation-for="Email" class="text-danger"></span>
                                    </div>
                                    
                                    <div class="form-group">
                                        <label asp-for="Description" class="control-label"></label>
                                        <textarea asp-for="Description" required class="form-control"></textarea>
                                        <span asp-validation-for="Description" class="text-danger"></span>
                                    </div>
                                    <div class="form-group">
                                        <input type="submit" value="Update Company" class="btn btn-primary" />
                                    </div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
                <div>
                    @*<a asp-action="Index">Back to List</a>*@
                </div>
                <!-- /.box -->
            </div>
        </div>
    </section>
</div>

